# module Byebug::StringFunctions

Utilities for interaction with files

### Public Instance Methods

camelize(str) click to toggle source

Converts `str` from an_underscored-or-dasherized_string to ACamelizedString.

    # File lib/byebug/helper.rb, line 53
    def camelize(str)
      str.dup.split(/[_-]/).map(&:capitalize).join('')
    end

prettify(str) click to toggle source

Improves indentation and spacing in `str` for readability in Byebug's command prompt.

    # File lib/byebug/helper.rb, line 61
    def prettify(str)
      "\n" + str.gsub(/^ {8}/, '') + "\n"
    end